Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.manager
Interface RuntimeEngine

All Known Implementing Classes:
  RuntimeEngineImpl, SynchronizedRuntimeImpl

    public interface RuntimeEngine

RuntimeEngine is the main entry point to interact with the process engine and task service. It's responsibility is to ensure that process engine and task service are properly configured and know about each other which eliminate the need to manually setup the integration between these two.
RuntimeEngines are always produced by `RuntimeManager` and thus shall never be created manually. `RuntimeManager` provides all required information to build and bootstrap the `RuntimeEngine` so it is configured and ready to be used regardless of when it is invoked.

Method Summary
`AuditService` | `getAuditLogService()` Returns `AuditService` that gives access to underlying runtime data such as process instance, node instance and variable log entries.
`KieSession` | `getKieSession()` Returns `KieSession` configured for this `RuntimeEngine`
`TaskService` | `getTaskService()` Returns `TaskService` configured for this `RuntimeEngine`

Method Detail

### getKieSession

    KieSession getKieSession()

  Returns `KieSession` configured for this `RuntimeEngine`

  Returns:

### getTaskService

    TaskService getTaskService()

  Returns `TaskService` configured for this `RuntimeEngine`

  Returns:

### getAuditLogService

    AuditService getAuditLogService()

  Returns `AuditService` that gives access to underlying runtime data such as process instance, node instance and variable log entries.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.